Subject: bug#52904: nmtui - user authorisation

From: raingloom <[email-masked]>
Date: Thu, 30 Dec 2021 20:00:23 +0100

On Wed, 29 Dec 2021 11:04:39 +0000
Paul Jewell <[email-masked]> wrote:

> On 29/12/2021 00:50, raingloom wrote:
> > On Tue, 28 Dec 2021 18:39:52 +0000
> > Paul Jewell<[email-masked]>  wrote:
> >  
> >> On 27/12/2021 23:20, Leo Famulari wrote:  
> >>> On Mon, Dec 27, 2021 at 10:07:17PM +0000, Paul Jewell wrote:  
> >>>> Solved this - nmtui needs to be run as root; my script which
> >>>> invoked the program didn't consider that. Changing it to run as
> >>>> sudo gives me an opportunity to enter my password, and then
> >>>> successfully setup the wifi interface details.  
> >>> Another option is to add nmtui to the list of programs that are
> >>> setuid. That way, any user on your system could configure wifi,
> >>> which may be more ergonomic.
> >>>
> >>> https://guix.gnu.org/manual/devel/en/html_node/Setuid-Programs.html
> >>>     
> >> This option did work as expected. The only additional point for
> >> anyone else coming across this post with the same issue: remember
> >> to add the
> >>
> >> #:use-module (gnu system setuid)
> >>
> >> so the setuid record is known.
> >>
> >> Thanks Leo!  
> > Uhm, I'm pretty sure NetworkManager lets any user modify networking
> > settings as long as they are in a certain group?
> > https://wiki.archlinux.org/title/NetworkManager#Set_up_PolicyKit_permissions
> >
> > At least that's how it is on postmarketOS and I'm also fairly
> > certain I never needed root access to set up WiFi under Guix
> > either, but I don't have a system at hand to verify that on.  
> 
> I did also think this, but I couldn't identify which group would let 
> this happen. I thought it would be the netdev group, but my user
> account is already a member of that group. The network group is
> unknown to the system (as in I had an error when trying to add the
> user to the supplementary group) so I added it, but it didn't have
> any effect (after rebooting). If there is another group I should be
> in, I am not sure how to find out. At the moment, the setuid approach
> seems to work OK (although I would prefer a group solution!).
> 
> I am interested in anyone else's experience!

It might be that everyone else is including some default configuration
for NetworkManager and we aren't. At the very least it should be
documented how to set it up to use groups.

CC-ing bugs-guix